Debian Bug report logs - #603347
Conflicts between cross and regular gdb

version graph

Package: gdb; Maintainer for gdb is Héctor Orón Martínez <zumbi@debian.org>; Source for gdb is src:gdb.

Reported by: Loïc Minier <lool@dooz.org>

Date: Sat, 13 Nov 2010 10:54:02 UTC

Severity: minor

Tags: patch, pending

Found in version gdb/7.2-1

Fixed in version gdb/7.4-1~cvs20111117.1

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <dan@debian.org>:
Bug#603347; Package gdb. (Sat, 13 Nov 2010 10:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <dan@debian.org>. (Sat, 13 Nov 2010 10:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Foo
Date: Sat, 13 Nov 2010 11:50:17 +0100
Package: gdb
Version: 7.2-1
Severity: minor

        Hi

 The gdb source package supports building a cross-debugger when building
 with GDB_TARGET=somearch.  This package ships /usr/share/gdb/syscalls/*
 /usr/share/gdb/python/gdb which are also in the gdb package.

 Either:
 * gdb-$triplet should conflict with gdb (ugliest IMO)
 * or gdb-$triplet should depend on gdb and not ship a copy of
   /usr/share/gdb/syscalls/, but then it isn't standalone anymore
 * or gdb-$triplet should be configured with a datadir containing the
   triplet, e.g. /usr/share/gdb-$triplet (preferred IMO)

     Cheers,
-- 
Loïc Minier




Changed Bug title to 'Conflicts between cross and regular gdb' from 'Foo' Request was from Loïc Minier <lool@dooz.org> to control@bugs.debian.org. (Thu, 25 Nov 2010 10:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <dan@debian.org>:
Bug#603347; Package gdb. (Tue, 18 Jan 2011 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <dan@debian.org>. (Tue, 18 Jan 2011 10:45:03 GMT) Full text and rfc822 format available.

Message #12 received at 603347@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: control@bugs.debian.org, 603347@bugs.debian.org
Subject: Debdiff
Date: Tue, 18 Jan 2011 11:42:53 +0100
[Message part 1 (text/plain, inline)]
tag #603347 + patch
user #603347 ubuntu-devel@lists.ubuntu.com
usertag #603347 + ubuntu-patch natty origin-ubuntu
stop

 Debdiff attached; built natively on i386 amd64 armel and powerpc and
 created a cross-gdb for armel on i386 and amd64; tested the cross-gdb
 on i386 successfully.

-- 
Loïc Minier
[debdiff (text/plain, attachment)]

Added tag(s) patch. Request was from Loïc Minier <lool@dooz.org> to control@bugs.debian.org. (Tue, 18 Jan 2011 10:45:06 GMT) Full text and rfc822 format available.

Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Thu, 17 Nov 2011 21:06:18 GMT) Full text and rfc822 format available.

Notification sent to Loïc Minier <lool@dooz.org>:
Bug acknowledged by developer. (Thu, 17 Nov 2011 21:06:19 GMT) Full text and rfc822 format available.

Message #19 received at 603347-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 603347-close@bugs.debian.org
Subject: Bug#603347: fixed in gdb 7.4-1~cvs20111117.1
Date: Thu, 17 Nov 2011 21:03:31 +0000
Source: gdb
Source-Version: 7.4-1~cvs20111117.1

We believe that the bug you reported is fixed in the latest version of
gdb, which is due to be installed in the Debian FTP archive:

gdb-source_7.4-1~cvs20111117.1_all.deb
  to main/g/gdb/gdb-source_7.4-1~cvs20111117.1_all.deb
gdb_7.4-1~cvs20111117.1.debian.tar.gz
  to main/g/gdb/gdb_7.4-1~cvs20111117.1.debian.tar.gz
gdb_7.4-1~cvs20111117.1.dsc
  to main/g/gdb/gdb_7.4-1~cvs20111117.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 603347@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated gdb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 17 Nov 2011 18:37:45 +0000
Source: gdb
Binary: gdb gdb-dbg gdb-minimal gdb64 gdb-multiarch gdbserver libgdb-dev gdb-source
Architecture: source all
Version: 7.4-1~cvs20111117.1
Distribution: experimental
Urgency: low
Maintainer: Hector Oron <zumbi@debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 gdb        - The GNU Debugger
 gdb-dbg    - debugging symbols for the GNU Debugger
 gdb-minimal - The GNU Debugger
 gdb-multiarch - The GNU Debugger (with support for multiple architectures)
 gdb-source - The GNU Debugger (source)
 gdb64      - The GNU Debugger (64-bit)
 gdbserver  - The GNU Debugger (remote server)
 libgdb-dev - The GNU Debugger (libgdb.a)
Closes: 490049 592512 603347 610519
Changes: 
 gdb (7.4-1~cvs20111117.1) experimental; urgency=low
 .
   * Add accidentally dropped armhf to architecture list
   * Add GDB debug package (Closes: #592512, #490049)
   * Provide GDB multiarch package (Closes: #610519)
     - Add gdb-multiarch package supporting extra bfd targets similarly to
       binutils-multiarch; the package is constructed much like gdb64 except that
       it's build with the gdb configure flags and --enable-targets=all for now.
     - Thanks Loïc Minier.
   * Fix conflicts between cross and regular gdb (Closes: #603347)
     - Pass --gdb-datadir=/usr/share/gdb-$triplet when building a cross-gdb and
       update gdb.install sed snippet to match; fixes conflict with gdb;
     - Thanks Loïc Minier.
Checksums-Sha1: 
 e0ff88e2e1b3f28b780b08c4a867386b985c45b1 2556 gdb_7.4-1~cvs20111117.1.dsc
 2fabd9d66dc599f89ab9041d78535d908239188a 34334 gdb_7.4-1~cvs20111117.1.debian.tar.gz
 6cf498b72ccac752548a17c942e92070d2490e3b 19976566 gdb-source_7.4-1~cvs20111117.1_all.deb
Checksums-Sha256: 
 3ec24266841d60183aff8ad16de02f187d56d892cf800debb7ea11bfd540776e 2556 gdb_7.4-1~cvs20111117.1.dsc
 da2e4e9ea6274ba38fe424fc177c478079e7490290fa944fe7b66eb6f7fb488b 34334 gdb_7.4-1~cvs20111117.1.debian.tar.gz
 832778eb5b99260acccc27930ae42ce3e76098b86c0c19cd0be581e812aa7a94 19976566 gdb-source_7.4-1~cvs20111117.1_all.deb
Files: 
 55f2d1643b5fe0f5020967cf750f32af 2556 devel optional gdb_7.4-1~cvs20111117.1.dsc
 7cd709cf109c2f5f84d0e9596d743071 34334 devel optional gdb_7.4-1~cvs20111117.1.debian.tar.gz
 37f1a2d74168d94347dfdac73d96581e 19976566 devel optional gdb-source_7.4-1~cvs20111117.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOxW5dAAoJEK8ig6p24qx791MP/jyKyFU/i3/ppJPP09/BWf4P
BpQiy6K2F51ewx1JdhKKx53bh/y8ygTqKPp1CAYHS12Rfq/5Vo/bpX9oN3NUHOA2
l0YHC3Qq+Vj/Wf1OdhgYePbeWUL4VtQjKR0q3SpDQfBYYemUav5MMaMzwIPmCbI8
4CdM1PU2OCj6pdkFjX+Gls2Nt7GrstF8F+F/oexF2d5AjcinpQveVj11ErgMS2mn
Udx5RR7ML0I/AADos1PuLWhsuQXX0p5KjUJjwiS4b6CFem/bv6wY9JW11HsQZyBR
nWl8gAF+t/3b64NXwWR3HcQ/YLcf3SOt+AuZ7X8IqNBI3FaKS06HwwAON0WFVkeo
kmwLAWQuXTZhLjemu0A9p7IUBxSSykhn7mqPQkRN8o0yaRsv78qFFTW4laVeXt1E
p+DgJQ17A1apJbpTwzLlRmtg8VqFLz4N8pPbe/8YSmecJAXXOe8meDCV2KHK/gMt
m0TRIZvM95m9drPh29sIUgyFdkuZDklG+AhT5dPH5HP96vgkV74LZfZzutaZ8VPZ
XwPNgg1lFG1+SWS8i3wb1y/xhMXyZM/Vmn5Kt7egCM+STV0Wa7deInmlfXrVAv+C
F2LZTzu65hoEQzLszdFXuzEeuy6uI3ApyDwK7Zq19gpqYdOek4+nx0UP4UNNkDEq
h7FjgB5QoJPkE+q/fI/0
=02QJ
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 18 Nov 2011 07:06:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 30 Mar 2012 07:35:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:58:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.